﻿using System.Diagnostics;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using Windows.UI.Xaml.Input;

namespace TestWin8nl
{
  public class TestViewModel : ViewModelBase
  {
    public TestViewModel()
    {
      TestProperty = "Hello folkes";
    }

    public ICommand TestCommand
    {
      get
      {
          return new RelayCommand<TappedRoutedEventArgs>(
            (p) =>
              {
                Debug.WriteLine(p.PointerDeviceType);
              });
      }
    }

    private string testProperty;
    public string TestProperty
    {
      get
      {
        return testProperty;
      }
      set
      {
        if (testProperty != value)
        {
          testProperty = value;
          RaisePropertyChanged(() => TestProperty);
        }
      }
    }
  }
}
